///////////////////////////////////////個別設定項目(PC版)////////////////////////////////////////
// 文字型項目から取得したname属性を入力します。
// ダブルコーテーションで囲み「,」区切りにすることで複数の項目指定が可能です。
var text = ["xxxx", "yyyy", "zzzz"];

// 文章型項目から取得したname属性を入力します。
// ダブルコーテーションで囲み「,」区切りにすることで複数の項目指定が可能です。
var textarea = ["xxxx", "yyyy", "zzzz"];

// セレクト型項目から取得したname属性とvalue属性を入力します。
// {}で囲みname にはname属性の値、 initialValueにはvalue属性の値をそれぞれ入力します。
// また「,」区切りにすることで複数の項目指定が可能です。
var select = [
  { name: "xxxx", initialValue: "0" },
  { name: "yyyy", initialValue: "0" },
  { name: "zzzz", initialValue: "0" }
];

// チェックボックス型項目から取得したname属性を入力します。
// {}で囲み「,」区切りにすることで複数の項目指定が可能です。
var checkbox = ["xxxx", "yyyy", "zzzz"];

// 数値型・小数型項目から取得したname属性を入力します。
// {}で囲み「,」区切りにすることで複数の項目指定が可能です。
var number = ["xxxx", "yyyy", "zzzz"];

// お客様環境のURLを入力します。
var unpreparedUrl = "http://xxxx/remix/esales-pc";

///////////////////////////////////個別設定項目はここまで///////////////////////////////////

$(document).ready(function () {
  // text
  $.each(text, function (index, val) {
    var name = "input[name=" + val + "]";
    $(name).val("");
  });

  // textarea
  $.each(textarea, function (index, val) {
    var name = "textarea[name=" + val + "]";
    $(name).val("");
  });

  // select
  $.each(select, function (index, val) {
    var url = location.href;
    if (url != unpreparedUrl) {
      var name = "select[name=" + val.name + "]";
      $(name).val(val.initialValue);
    }
  });

  // checkbox
  $.each(checkbox, function (index, val) {
    var id = "#" + val;

    $(id).attr("checked", false);
  });

  // number
  $.each(number, function (index, val) {
    var id = "#myform_" + val + "_id";
    $(id).val("");
    $("input:hidden[name=" + val + "]").val("");
  });
});
